## Get list detail by Id

### cURL

```bash
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/list/{listId} \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/list/{listId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://prod01.oms.fabric.inc/api/v2/list/{listId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();
curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/list/{listId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://prod01.oms.fabric.inc/api/v2/list/{listId}"

req, _ := http.NewRequest("GET", url, nil)
	req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)
	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.get("https://prod01.oms.fabric.inc/api/v2/list/{listId}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod01.oms.fabric.inc/api/v2/list/{listId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Possible Response Codes

- 200
- 400
- 404
- 500

### Successful Response Example
```json
{
  "name": "Wishlist",
  "userId": null,
  "listId": "5349b4ddd2781d08c09890f4",
  "listType": "Wish list",
  "notes": "Add items to your wishlist to purchase later",
  "attributes": {
    "attr1": "value1",
    "attr2": "value2"
  },
  "count": 0,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
```

### Error Responses

```json
{
  "message": "Bad Request"
}
```

```json
{
  "message": "Object Not Found."
}
```

```json
{
  "message": "Internal Server Error"
}
```

### Authorization

**Authorization**: `Bearer <token>` is required in the header.

### Path Parameters

- **listId** (string, required): ID of the list whose details are to be retrieved.
